h53942
s 00000/00001/00046
d D 1.2 83/01/28 19:20:53 mjb 2 1
c removed unneccessary while loop
e
s 00047/00000/00000
d D 1.1 83/01/20 11:08:44 tes 1 0
c date and time created 83/01/20 11:08:44 by tes
e
u
tes
mjb
U
t
T
I 1
subroutine apmesg (id, rev)
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: Make an message appear on screen                       #
#                                                                      #
#     Input Parameters:                                                #
#            id    - (integer) message identification number           #
#            rev   - (integer) reverse video flag (1 - ON, 0 - OFF)    #
#                                                                      #
#     Output Parameters:                                               #
#            None                                                      #
#                                                                      #
#     Routines Called:                                                 #
#            qtext - output text string at given location              #
#                                                                      #
########################################################################
integer id, rev

integer i, j, row, column

include(`mnucom')

for (i=1; i<=lastid; i=i+1) {
   if (id == mnuid(i)) break;
   }
if (i <= lastid) {
   j = midptr(i)
   call revers (rev)

   row = mnubuf(j)
   column = mnubuf(j+1)
   call qtext (row, column, mnubuf(j+2))
D 2
   while (mnubuf(j) != 0) j = j + 1
E 2

   call revers (0)
   }

return
end
E 1
